<div class="row">
	<div class="col-xs-5 col-sm-6 col-md-5 col-lg-4">
		<div class="input-group">
			<span class="input-group-addon"><span class="glyphicon glyphicon-search"></span></span>
			<input type="text" id="searchText" class="form-control" placeholder="search" ng-model="searchQuery">
		</div>
	</div>
	<div class="col-xs-7 col-sm-6 col-md-7 col-lg-8">
		<div class="pull-right" style="margin-left:5pt">
			<div class="btn-toolbar">
				<div class="btn-group btn-group-right">
					<a ng-class="{ 'btn-info active': showList, 'btn-default': !showList}" class="btn" role="button" ng-click="setShowList(true);"><span class="glyphicon glyphicon-th-list"></span> List</a>
					<a ng-class="{ 'btn-info active': !showList, 'btn-default': showList}" class="btn" role="button" ng-click="setShowList(false);"><span class="glyphicon glyphicon-map-marker"></span> Map</a>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="clearfix visible-xs"></div>

<div class="page-header">
	<h1>Companies <small ng-hide="hasNoSearchInput" ng-bind-template="Searched for '{{searchQuery}}'"></small> <span class="badge">{{ (companies | filter:filterSearchTagComperator | filter:searchQuery).length }}</span></h1>
</div>

<div ng-show="showList" ng-cloak>
	<div ng-repeat="company in companies | filter:filterSearchTagComperator | filter:searchQuery | orderBy:'title'">
		<listitemcompany/>
	</div>
	<div class="clearfix"></div>
</div>
<div class="form-group" ng-hide="showList" ng-cloak>
	<div id="map-canvas" style="width:100%;height:400pt;" />
</div>

<p class="navbar-text navbar-right" ng-show="$parent.isAdminmode">
	<a href="#/company/new" class="navbar-link">Suggest Company</a>
</p>